import { Injectable } from '@nestjs/common';
import { Patient } from '@prisma/client';
import { PatientRepository } from './patient.repository';

@Injectable()
export class PatientService {
  constructor(private readonly repository: PatientRepository) {}

  async findById(patientId: string): Promise<Patient> {
    return this.repository.findById(patientId);
  }
}
